First thing is possible too with pacman, apt and co.
It's just not used widely except for Qt where you can install usually the last version too....